EDIT - bug #9051

Role Project manager should not have right to edit users and creating a new user with missing rights
results in two message-boxes

06/03/2020 11:44 AM - Katja Luther

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

mail AM:

AuBerdem kommt nach dem Versuch einen User anzulegen, ohne dass man die Rechte dazu hat, erst ein normaler Hinweisdialog,
dass ,Access denied” und dann kommt noch der ,Unexpected error” Dialog mit stacktrace unten. Letzteres sollte eigentlich nicht
passieren.

Related issues:

Related to EDIT - bug #9612: ROLE_USER_MANAGER is missing as a group in First... Closed
Related to EDIT - bug #6106: [Discuss] Handle rights and roles for CdmPrefere... Closed
Related to EDIT - task #8602: Discuss: Local Preferences & Server-sided Prefe... New
History

#1 - 06/23/2020 01:51 PM - Andreas Miuller

- Target version changed from Release 5.15 to Release 5.18

#2 - 12/04/2020 09:02 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#3 - 01/27/2021 04:16 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.21

#4 - 03/10/2021 02:47 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#5 - 03/18/2021 05:46 PM - Andreas Miiller

- Tags set to fast

#6 - 04/19/2021 05:43 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.25

#7 - 05/07/2021 08:37 AM - Katja Luther
- Status changed from New to Feedback

- Assignee changed from Katja Luther to Andreas Miiller

How are you able to create a user without permission, the admin menu is available only if you are admin or project manager and having these roles
also allows you to create new users?

#8 - 05/07/2021 09:53 AM - Andreas Miiller
- Status changed from Feedback to New

- Assignee changed from Andreas Muiller to Katja Luther

Katja Luther wrote:
How are you able to create a user without permission, the admin menu is available only if you are admin or project manager and having these
roles also allows you to create new users?

No this is not true and was obvious in the original mail (2020-06-02): "Hmm, stimmt, ProjectManager scheint dieses Recht nicht zu haben, zumindest
bekomme ich auch eine ,Access denied” Fehlermeldung." (a reason why | think that it is always good to cite mail threads more or less in full in tickets)

AuBerdem in der Mail:

Das ist wohl auch so gewollt. Du brauchtest laut https://dev.e-taxonomy.eu/redmine/projects/edit/wiki/CdmAuthorisationAndAccessControl
noch ROLE_USER_MANAGER, dafir gibt es aber noch keine automatisch angelegte Gruppe.

Andreas K., ist das so gewollt oder fehlt diese noch beim FirstDatalmporter?
So the error can be reproduced by a project manager without ROLE_USER_MANAGER (I tested on casearia).
| also created a new ticket for the above issue with FirstDatalmporter: #9612

#9 - 05/07/2021 10:24 AM - Andreas Miiller
- Related to bug #9612: ROLE_USER _MANAGER is missing as a group in FirstDatalmporter added

#10 - 05/07/2021 01:25 PM - Andreas Miiller

- Subject changed from Creating a new user with missing rights results in two message-boxes to Role Project manager should not have right to edit
users and creating a new user with missing rights results in two message-boxes

#11 - 05/07/2021 01:27 PM - Andreas Miiller
| changed the title of the ticket as the incorrect evaluation of the rights for role_project_manager is the more critical issue here (if this is fixed the other

issue is not really relevant anymore)

#12 - 07/09/2021 10:15 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#13 - 10/27/2021 12:03 AM - Andreas Miiller
- Related to bug #6106: [Discuss] Handle rights and roles for CdmPreferences added

#14 - 10/27/2021 12:06 AM - Andreas Miiller

- Related to task #8602: Discuss: Local Preferences & Server-sided Preferences in same menu? added
